Bug 1569153 - Fact gathering fails if dmidecode is not present
Summary: Fact gathering fails if dmidecode is not present
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ansible
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 17:17 UTC by Ruben Kerkhof
Modified: 2018-05-13 20:31 UTC (History)
6 users (show)

Fixed In Version: ansible-2.5.1-1.el7 ansible-2.5.1-1.fc27 ansible-2.5.1-1.fc28 ansible-2.5.1-1.fc26 ansible-2.5.2-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-21 02:57:50 UTC


Attachments (Terms of Use)

Description Ruben Kerkhof 2018-04-18 17:17:52 UTC
There's a regression in Ansible 2.5.0 where fact gathering fails if dmidecode is not installed on the target host.

I found this is upstream issue https://github.com/ansible/ansible/issues/37850

https://github.com/ansible/ansible/commit/ae0a9a5e9cfab4f910ca15861787cccc3c9bb600 is the commit that fixes it on the stable 2.5 branch. Any chance you could at this to the rpm until there's a new Ansible version available?

Comment 1 Kevin Fenzi 2018-04-18 20:38:29 UTC
2.5.1 (with this fix) is due out very soon (like later today). Will push that as soon as it lands.

Comment 2 Fedora Update System 2018-04-19 05:03:06 UTC
ansible-2.5.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d35b90fd1d

Comment 3 Fedora Update System 2018-04-19 05:03:42 UTC
ansible-2.5.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ad971a0926

Comment 4 Fedora Update System 2018-04-19 05:04:07 UTC
ansible-2.5.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-abc92e5946

Comment 5 Fedora Update System 2018-04-19 05:04:32 UTC
ansible-2.5.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-de434df4ac

Comment 6 Fedora Update System 2018-04-19 05:04:58 UTC
ansible-2.5.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b2058f774a

Comment 7 Ruben Kerkhof 2018-04-19 08:17:38 UTC
Perfect, thanks Kevin!

Comment 8 Fedora Update System 2018-04-19 08:55:37 UTC
ansible-2.5.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-de434df4ac

Comment 9 Fedora Update System 2018-04-19 16:59:04 UTC
ansible-2.5.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ad971a0926

Comment 10 Fedora Update System 2018-04-19 17:12:19 UTC
ansible-2.5.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b2058f774a

Comment 11 Fedora Update System 2018-04-19 17:38:39 UTC
ansible-2.5.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d35b90fd1d

Comment 12 Fedora Update System 2018-04-19 21:57:03 UTC
ansible-2.5.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-abc92e5946

Comment 13 Fedora Update System 2018-04-21 02:57:50 UTC
ansible-2.5.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-04-21 03:40:36 UTC
ansible-2.5.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-04-26 22:23:51 UTC
ansible-2.5.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-cd33ebf025

Comment 16 Fedora Update System 2018-04-27 04:08:18 UTC
ansible-2.5.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-04-27 11:18:05 UTC
ansible-2.5.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-04-28 17:36:16 UTC
ansible-2.5.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-cd33ebf025

Comment 19 Fedora Update System 2018-05-13 20:31:34 UTC
ansible-2.5.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.